## org.omg.CORBA
Class StructMemberHelper

    java.lang.Object
      |
      +--org.omg.CORBA.StructMemberHelper

public class StructMemberHelper
extends java.lang.Object

Helper class for : StructMember

Author:
  OpenORB Compiler

Constructor Summary
`StructMemberHelper()`

Method Summary
`static StructMember` `extract(Any a)` Extract StructMember from an any
`static java.lang.String` `id()` Return the StructMember IDL ID
`static void` `insert(Any a, StructMember t)` Insert StructMember into an any
`static StructMember` `read(InputStream istream)` Read StructMember from a marshalled stream
`static TypeCode` `type()` Return the StructMember TypeCode
`static void` `write(OutputStream ostream, StructMember value)` Write StructMember into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructMemberHelper

    public StructMemberHelper()

Method Detail

### insert

    public static void insert(Any a,
                              StructMember t)

  Insert StructMember into an any
  Parameters:
    `a` - an any
    `t` - StructMember value

### extract

    public static StructMember extract(Any a)

  Extract StructMember from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted StructMember value

### type

    public static TypeCode type()

  Return the StructMember TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the StructMember IDL ID
  Returns:
    an ID

### read

    public static StructMember read(InputStream istream)

  Read StructMember from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed StructMember value

### write

    public static void write(OutputStream ostream,
                             StructMember value)

  Write StructMember into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - StructMember value